import { createComponentFactory, Spectator } from '@ngneat/spectator';
import { SelectedDateComponent } from './selected-date.component';

describe('SelectedDateComponent', () => {
  let spectator: Spectator<SelectedDateComponent>;
  const createComponent = createComponentFactory({
    component: SelectedDateComponent,
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create the component', () => {
    expect(spectator.component).toBeTruthy();
  });

  it('should have the host element with the "ui-selected-date" CSS class', () => {
    const hostElement = spectator.element;
    expect(hostElement.classList).toContain('ui-selected-date');
  });
});
